Show / Hide Table of Contents

# Struct ImGuiOnceUponAFramePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiOnceUponAFramePtr

### Constructors

| Improve this Doc View Source

#### ImGuiOnceUponAFramePtr(ImGuiOnceUponAFrame*)

##### Declaration

    public ImGuiOnceUponAFramePtr(ImGuiOnceUponAFrame*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiOnceUponAFrame* | nativePtr |

| Improve this Doc View Source

#### ImGuiOnceUponAFramePtr(IntPtr)

##### Declaration

    public ImGuiOnceUponAFramePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiOnceUponAFrame*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiOnceUponAFrame* |

| Improve this Doc View Source

#### RefFrame

##### Declaration

    public readonly ref int RefFrame { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiOnceUponAFrame* to ImGuiOnceUponAFramePtr)

##### Declaration

    public static implicit operator ImGuiOnceUponAFramePtr(ImGuiOnceUponAFrame*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiOnceUponAFrame* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiOnceUponAFramePtr |

| Improve this Doc View Source

#### Implicit(ImGuiOnceUponAFramePtr to ImGuiOnceUponAFrame*)

##### Declaration

    public static implicit operator ImGuiOnceUponAFrame*(ImGuiOnceUponAFramePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiOnceUponAFramePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiOnceUponAFrame* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiOnceUponAFramePtr)

##### Declaration

    public static implicit operator ImGuiOnceUponAFramePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiOnceUponAFramePtr |